post
https://metrics.telemetrytv.com/metrics
This endpoint will update the metrics sent to it which will update in real time through TelemetryTV's display applications (notably the Boards).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sending a Single Metric
You will need to make an HTTP POST with an application/json body that contains something like the following.
{"$mymetric": 100}Where "mymetric" is the name of your metric prepended with the $ sign and 100 is the value to set the metric to.
Sending Multiple Metrics
You can update multiple metrics in a single POST by putting each of the {$key: value} pairs into the POST. Optional parameters will apply to all of the metrics in the submission, unless each metric is sent as a batch.
Multiple metrics with the same parameters applied
{"$customers": 77, "$users":23, "range":20}This sets the range for both customers and users to 20 and updates each of their values.
Batch submission (differing parameters)
[{"$customers": 77, "range":20}, {"$users":23, "range":30}]This sets the range of customers to 20 and the users to 30.